#include "allevents.h"

AllEvents::AllEvents(QWidget *parent) : QWidget(parent) {
  QVBoxLayout *griglia = new QVBoxLayout(this);
  QPushButton *pb;
  list = new QListWidget(this);
  griglia->addWidget(list);
  pb = new QPushButton(tr("Chiedi gli eventi al demone"), this);
  griglia->addWidget(pb);
  connect(pb, SIGNAL(clicked()), SIGNAL(askEvents()));
  toClip = new QPushButton(tr("Copia nella clipboard"), this);
  griglia->addWidget(toClip);
  connect(toClip, SIGNAL(clicked()), SLOT(copiaNellaClipboard()));
  setLayout(griglia);
}

void AllEvents::aggiornaTXT(const QStringList & l) {
  list->clear();
  list->addItems(l);
  txt = l;
}

void AllEvents::copiaNellaClipboard() {
  qApp->clipboard()->setText(txt.join(QChar('\n')));
}

