#ifndef LISTAGRAFICI_H
#define LISTAGRAFICI_H

#include <QtGui>
#include <QtCore>
#include <QtSql>
#include "widgetgrafico.h"
#include "global.h"
#include "sql.h"
#include "listawidgetadintervalli.h"

class ListaGrafici : public ListaWidgetAdIntervalli{
  Q_OBJECT
  public:
     ListaGrafici(int ups, QSqlDatabase *db, QWidget *parent = 0);

  private:
     int maxvalori;

  public slots:
     void setMaxValori(int v);
     void aggiorna(const SQL::ValoriInfo &v);
};

#endif // LISTAGRAFICI_H
