#ifndef MINIUPS_H
#define MINIUPS_H

#include <QtCore>
#include <QtGui>
#include "minicerchio.h"
#include "global.h"
#include "sql.h"

class MiniUps : public QWidget {
  Q_OBJECT
  public:
    MiniUps(QWidget *parent = 0);

    void setNome(const QString & s);

  private:
    QLabel *nomeups;
    QLabel *BCHARGE;
    QLabel *STATUS;
    QLabel *TIMELEFT;
    MiniCerchio *cerchio;

  public slots:
    void aggiornaTXT(const SQL::ValoriInfo & v);
};

#endif // MINIUPS_H
