#ifndef MODIFICA_H
#define MODIFICA_H

#include <QtCore>
#include <QtGui>
#include "guiupsinfo.h"
#include "ups.h"
#include "sql.h"

class Modifica : public QDialog {
  Q_OBJECT
  public:
    Modifica(QList<Ups*> & list, QWidget *parent = 0);

  private:
    QList<Ups*> & upsList;
    QComboBox *ups;
    GuiUpsInfo *gui;

  private slots:
    void tastoOK();
    void aggiorna(int i);

  signals:
    void updated(QList<Ups*>::Iterator it);
};

#endif // MODIFICA_H
