#include "nuovo.h"

Nuovo::Nuovo(QWidget *parent) :
    QDialog(parent) {
  setAttribute(Qt::WA_DeleteOnClose);
  setModal(Qt::WindowModal);
  setWindowTitle(tr("Nuovo UPS"));

  QGridLayout *griglia = new QGridLayout(this);

  gui = new GuiUpsInfo(this);
  griglia->addWidget(gui);
  connect(gui->ok, SIGNAL(clicked()), SLOT(tastoOK()));

  setLayout(griglia);
}

void Nuovo::tastoOK() {
  if(gui->nome->text().size() > 0) {
    emit nuovo_ups(gui->indirizzo->text(), gui->porta->text().toInt(), gui->nome->text());
    close();
  }
}
