#include "riassunto.h"

Riassunto::Riassunto(QWidget *parent) :
    QWidget(parent) {
  griglia = new QGridLayout(this);
}

void Riassunto::pulisci() {
  for(QList<QWidget*>::iterator it = lista.begin(); it != lista.end(); it++)
    griglia->removeWidget(*it);
}

void Riassunto::ricrea() {
  int i = 0;
  int colonna;
  int acapo = 0;

  if(lista.size() <= 2)
    colonna = 1;
  else if(lista.size() <= 4)
    colonna = 2;
  else
    colonna = 3;

  while(i < lista.size()) {
    if(i % colonna == 0)
      acapo++;
    griglia->addWidget(lista[i], acapo, i % colonna, 1, 1, Qt::AlignTop);
    i++;
  }
}

void Riassunto::addWidget(QWidget *w) {
  pulisci();
  lista.push_back(w);
  ricrea();
}

void Riassunto::removeWidget(QWidget *w) {
  pulisci();
  bool end = false;
  QList<QWidget*>::iterator it = lista.begin();
  while(it != lista.end() && !end)
    if(*it == w) {
      lista.erase(it);
      end = true;
    } else
      it++;
  ricrea();
}

