#include "allinfo.h"

AllInfo::AllInfo(QWidget *parent) : QWidget(parent) {
  QVBoxLayout *griglia = new QVBoxLayout(this);
  txt = new QTextEdit(this);
  txt->setFontFamily(QString("monospace"));
  griglia->addWidget(txt);
  toClip = new QPushButton(tr("Copia nella clipboard"), this);
  griglia->addWidget(toClip);
  connect(toClip, SIGNAL(clicked()), SLOT(copiaNellaClipboard()));
  setLayout(griglia);
}

void AllInfo::aggiornaTXT(const QString & s) {
  txt->setPlainText(s);
}

void AllInfo::copiaNellaClipboard() {
  qApp->clipboard()->setText(txt->toPlainText());
}

