#ifndef GUIUPSINFO_H
#define GUIUPSINFO_H

#include <QtCore>
#include <QtGui>
#include <QtNetwork>

class Modifica;
class Nuovo;

class GuiUpsInfo : public QWidget {
  friend class Modifica;
  friend class Nuovo;
  Q_OBJECT
  public:
    GuiUpsInfo(QWidget *parent = 0);
    virtual ~GuiUpsInfo();

  private:
    QLineEdit *indirizzo;
    QListWidget *lista;
    QHostInfo valori;
    QPushButton *ok;
    QLineEdit *porta;
    QLineEdit *nome;

  private slots:
    void calcolaIP();
    void validaPorta();
};

#endif // GUIUPSINFO_H
