#ifndef INTERVALLO_H
#define INTERVALLO_H

#include <QtCore>
#include <QtGui>

class Intervallo {
  public:
    Intervallo(QColor c, double l, double h, int liv = 0);
    void setSfumatura(bool val);
    void setLivello(int val);

    bool operator<(const Intervallo & i) const;

    QColor getColore() const;
    double getSotto() const;
    double getSopra() const;
    bool getSfumatura() const;
    int getLivello() const;

  private:
    QColor colore;
    double sotto;
    double sopra;
    bool sfumatura;
    int livello;
};

#endif // INTERVALLO_H
