#ifndef PARAMETRI_H
#define PARAMETRI_H

#include <QtCore>
#include <QtGui>

class Parametri : public QDialog {
    Q_OBJECT
  public:
    Parametri(int b, bool s, bool si, int g, QWidget *parent = 0);

  private:
    QCheckBox *sfumatura;
    QCheckBox *sfumaturaIntervalli;
    QSlider *barre;
    QLabel *mostrabarre;
    QLineEdit *giorni;
    QPushButton *tasto_ok;

  private slots:
    void ok();
    void aggiorna_n_barre(int v);
    void testa_numero(const QString & s);

  signals:
    void nuovo_numero_barre(int n);
    void nuova_sfumatura_intervalli(bool v);
    void nuova_sfumatura_barre(bool v);
    void nuovi_giorni_da_salvare(int g);
};

#endif // PARAMETRI_H
