#ifndef PRENDICOLORE_H
#define PRENDICOLORE_H

#include <QtCore>
#include <QtGui>
#include "global.h"
#include "quadrattino.h"

class PrendiColore : public QWidget{
  Q_OBJECT
  public:
  PrendiColore(QWidget *parent = 0);
  void setColore(const QColor & c);
  QColor getColore() const;

  private:
    QColor colore;
    Quadrattino *anteprima;

  private slots:
    void prendi_colore();
    void nuovoColorePrivato(const QColor & c);

  signals:
    void nuovoColore(const QColor & c);
};

#endif // PRENDICOLORE_H
