#ifndef QUADRATTINO_H
#define QUADRATTINO_H

#include <QtCore>
#include <QtGui>

class Quadrattino : public QWidget {
    Q_OBJECT
  public:
    Quadrattino(const QColor & c, QWidget *parent = 0);
    void setColore(const QColor & c);
    QColor getColore() const;
  private:
    QColor colore;
  protected:
    void paintEvent(QPaintEvent *event);
    void mousePressEvent(QMouseEvent *event);
  signals:
    void nuovoColore(const QColor & c);
};

#endif // QUADRATTINO_H
