#ifndef WIDGETBARRA_H
#define WIDGETBARRA_H

#include <QtCore>
#include <QtGui>
#include "intervallo.h"
#include "widgetadintervalli.h"

class WidgetBarra : public WidgetAdIntervalli {
  Q_OBJECT
  public:
    WidgetBarra(QWidget *parent = 0);
    void setNumeroBarre(int n);
    virtual void pushValore(double val);

  protected:
    void paintEvent(QPaintEvent *event);
    int barremostrate;

    QList<double> valori;

  private:
    static const int altezzaMinima;
};

#endif // WIDGETBARRA_H
